## filelight 1.9~rc2

=== CMakeLists.txt ===
#######################################################################
# Copyright 2008-2009  Martin Sandsmark <sandsmark@samfundet.no>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2 of
# the License or (at your option) version 3 or any later version
# accepted by the membership of KDE e.V. (or its successor approved
# by the membership of KDE e.V.), which shall act as a proxy
# defined in Section 14 of version 3 of the license.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#######################################################################

find_package(KDE4 REQUIRED)

add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS} -fPIC)

include(KDE4Defaults)

include(MacroLibrary)

include_directories(src/ ${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES} )

add_subdirectory(src)
add_subdirectory(misc)

=== misc/CMakeLists.txt ===
#######################################################################
# Copyright 2008-2009  Martin Sandsmark <sandsmark@samfundet.no>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2 of
# the License or (at your option) version 3 or any later version
# accepted by the membership of KDE e.V. (or its successor approved
# by the membership of KDE e.V.), which shall act as a proxy
# defined in Section 14 of version 3 of the license.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#######################################################################

include_directories(${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES} )

install(FILES filelight_part.desktop DESTINATION ${SERVICES_INSTALL_DIR})
install(FILES filelight.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
install(FILES filelightrc DESTINATION ${CMAKE_INSTALL_PREFIX}/share/config)
install(FILES filelight_partui.rc DESTINATION ${DATA_INSTALL_DIR}/filelightpart)
install(FILES filelightui.rc DESTINATION ${DATA_INSTALL_DIR}/filelight)

kde4_install_icons(${ICON_INSTALL_DIR})

=== src/CMakeLists.txt ===
#######################################################################
# Copyright 2008-2009  Martin Sandsmark <sandsmark@samfundet.no>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2 of
# the License or (at your option) version 3 or any later version
# accepted by the membership of KDE e.V. (or its successor approved
# by the membership of KDE e.V.), which shall act as a proxy
# defined in Section 14 of version 3 of the license.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#######################################################################

include_directories($ {KDE4_INCLUDES} $ {KDE4_INCLUDE_DIR} $ {QT_INCLUDES} )

add_subdirectory(app)
add_subdirectory(part)

=== src/app/CMakeLists.txt ===
#######################################################################
# Copyright 2008-2009  Martin Sandsmark <sandsmark@samfundet.no>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2 of
# the License or (at your option) version 3 or any later version
# accepted by the membership of KDE e.V. (or its successor approved
# by the membership of KDE e.V.), which shall act as a proxy
# defined in Section 14 of version 3 of the license.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#######################################################################

include_directories(${CMAKE_SOURCE_DIR}/filelight/src ${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES})

set(filelight_SRCS historyAction.cpp mainWindow.cpp main.cpp)

kde4_add_executable(filelight ${filelight_SRCS})

target_link_libraries(filelight ${KDE4_KDECORE_LIBS} ${KDE4_KPARTS_LIBS} ${KDE4_KDEUI_LIBS})

install(TARGETS filelight ${INSTALL_TARGETS_DEFAULT_ARGS})

=== src/part/CMakeLists.txt ===
#######################################################################
# Copyright 2008-2009  Martin Sandsmark <sandsmark@samfundet.no>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2 of
# the License or (at your option) version 3 or any later version
# accepted by the membership of KDE e.V. (or its successor approved
# by the membership of KDE e.V.), which shall act as a proxy
# defined in Section 14 of version 3 of the license.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#######################################################################

include_directories(${CMAKE_SOURCE_DIR}/filelight/src ${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES} )

add_subdirectory(radialMap)

set(filelight_PART_SRCS
    part.cpp
    scan.cpp
    progressBox.cpp
    Config.cpp
    settingsDialog.cpp
    fileTree.cpp
    localLister.cpp
    remoteLister.cpp
    summaryWidget.cpp)

kde4_add_ui_files(filelight_PART_SRCS dialog.ui)

kde4_add_plugin(filelightpart ${filelight_PART_SRCS})

target_link_libraries(filelightpart radialmap
                      ${KDE4_KDECORE_LIBS}
                      ${KDE4_KPARTS_LIBS}
                      ${KDE4_KDEUI_LIBS}
                      ${KDE4_KDE3SUPPORT_LIBS}
                      ${KDE4_KIO_LIBS}
                      ${KDE4_KFILE_LIBS}
                      ${KDE4_SOLID_LIBS}
                      qimageblitz)

install(TARGETS filelightpart DESTINATION ${PLUGIN_INSTALL_DIR})

=== src/part/radialMap/CMakeLists.txt ===
#######################################################################
# Copyright 2008-2009  Martin Sandsmark <sandsmark@samfundet.no>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2 of
# the License or (at your option) version 3 or any later version
# accepted by the membership of KDE e.V. (or its successor approved
# by the membership of KDE e.V.), which shall act as a proxy
# defined in Section 14 of version 3 of the license.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#######################################################################

include_directories(${CMAKE_SOURCE_DIR}/filelight/src/part ${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES} )

set(radialmap_STAT_SRCS
    widget.cpp
    builder.cpp
    map.cpp
    widgetEvents.cpp
    labels.cpp
    segmentTip.cpp)

kde4_add_library(radialmap STATIC ${radialmap_STAT_SRCS} )
find_package(Blitz REQUIRED)

## filelight 1.9~rc3

=== CMakeLists.txt ===
--- 
+++ 
@@ -18,6 +18,8 @@
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 #######################################################################
 
+project(Filelight)
+
 find_package(KDE4 REQUIRED)
 
 add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS} -fPIC)
@@ -26,7 +28,7 @@
 
 include(MacroLibrary)
 
-include_directories(src/ ${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES} )
+include_directories( src/ ${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES} )
 
 add_subdirectory(src)
 add_subdirectory(misc)

=== misc/CMakeLists.txt ===
--- 
+++ 
@@ -18,8 +18,6 @@
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 #######################################################################
 
-include_directories(${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES} )
-
 install(FILES filelight_part.desktop DESTINATION ${SERVICES_INSTALL_DIR})
 install(FILES filelight.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
 install(FILES filelightrc DESTINATION ${CMAKE_INSTALL_PREFIX}/share/config)

=== src/part/CMakeLists.txt ===
--- 
+++ 
@@ -17,8 +17,6 @@
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 #######################################################################
-
-include_directories(${CMAKE_SOURCE_DIR}/filelight/src ${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES} )
 
 add_subdirectory(radialMap)
 
@@ -41,10 +39,8 @@
                       ${KDE4_KDECORE_LIBS}
                       ${KDE4_KPARTS_LIBS}
                       ${KDE4_KDEUI_LIBS}
-                      ${KDE4_KDE3SUPPORT_LIBS}
                       ${KDE4_KIO_LIBS}
                       ${KDE4_KFILE_LIBS}
-                      ${KDE4_SOLID_LIBS}
-                      qimageblitz)
+                      ${KDE4_SOLID_LIBS})
 
 install(TARGETS filelightpart DESTINATION ${PLUGIN_INSTALL_DIR})

=== src/part/radialMap/CMakeLists.txt ===
--- 
+++ 
@@ -18,8 +18,6 @@
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 #######################################################################
 
-include_directories(${CMAKE_SOURCE_DIR}/filelight/src/part ${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES} )
-
 set(radialmap_STAT_SRCS
     widget.cpp
     builder.cpp
@@ -29,5 +27,5 @@
     segmentTip.cpp)
 
 kde4_add_library(radialmap STATIC ${radialmap_STAT_SRCS} )
-find_package(Blitz REQUIRED)
 
+

=== debian/changelog ===
filelight (1.9~rc3-2) unstable; urgency=low

  * Added build dependency upon cmake that is no longer brought in by
    other build dependencies.
  * Added source/format file.
  * Updated standards version to 3.8.4, no changes needed.

 -- Michael Meskes <meskes@debian.org>  Wed, 05 May 2010 08:49:04 +0200

filelight (1.9~rc3-1) unstable; urgency=low

  [ Didier Raboud ]
  * Bump Standards to 3.8.3.
  * Recommend filelight-l10n. Closes: #534423
  * Add myself as uploader.

  [ Michael Meskes ]
  * Imported Upstream version 1.9~rc3

 -- Michael Meskes <meskes@debian.org>  Tue, 24 Nov 2009 11:42:27 +0100

filelight (1.9~rc2-1) unstable; urgency=low

  * New upstream version for KDE4. This fixes:
    - Typo in error string. Closes: #504403
    - This version does not follow symlinks. Was probably fixed earlier but is
      definitely fixed now. Closes: #414119
    - Segfault on toggling "Show small files". Closes: #480017
  * Added myself as uploader.
  * Bumped Standards-Version to 3.8.1.
  * Replaced svn information by git information in control file.
  * Updated download address.

 -- Michael Meskes <meskes@debian.org>  Fri, 08 May 2009 14:00:06 +0200

filelight (1.0-2) unstable; urgency=low

  * 'man filelight' typos: "representating", "filesystem" and
    "diskspace" (Closes: #452618). Thanks to A. Costa.
  * Update policy to 3.7.3. No changes needed.
  * Fixed Vcs-Svn and VCs-Browser fields.
  * Reordered CDBS build rules and removing autotools.mk since it clashes with
    kde.mk.
  * Moving to quilt patch system.
  * Removed dpatch comments from 10_fix-filelight.desktop
  * Reworked buildsystem: added patches 98_buildprep; removed
    01_configure-update, 02_dist-files and 07_install-radial-map.diff; updated
    05_fPIX_radialmap_part.
  * Removed watch file.

 -- Raúl Sánchez Siles <rasasi78@gmail.com>  Tue, 06 May 2008 17:10:35 +0200

filelight (1.0-1) unstable; urgency=low

  * New upstream release: Crashes fix, displaying non-latin1 correctly and
    several new features. (Closes: #445935, #424741)
  * Splitted l10n to a new package.
  * Bugs closed:
    + filelight always places hover information on first monitor (Closes:
    #255896)
    + filelight doesn't handle utf-8 files (Closes: #256423)
    + always crashing on exit (Closes: #404460)
    + bug in filelight - crash on exit (Closes: #356626)
    + glibc detects free() of invalid pointer on exit (Closes: #343903)
    + memory usage is obscene (Closes: #231399)
    + lots of noise on stderr from RadialMap methods (Closes: #343905)
    + very large files and directories lead to confusion (Closes: #393827)
    + Filelight ignores large files (Closes: #341680)
    + Piles of WARNING messages on startup, but it works. (Closes:
      #307717)
    + filelight lacks a manpage [patch] (Closes: #414934).  Thanks to
      James R. Van Zandt.
    + Spelling mistake in package description (Closes: #363410). Thanks to
      James Westby.
    + please build with --disable-debug to prevent spurious stdout-output
      (Closes: #408554)
    + filelight(GNU/k*BSD): FTBFS: out of date config.sub/config.guess
      (Closes: #304605)
    + lots of noise on stderr from RadialMap methods (Closes: #343905)
  * Packaging issues:
    + Changed packaging to CDBS.
    + Provide upstream AUTHORS file.
    + Honour the nostrip in the DEB_BUILD_OPTIONS. (Closes: #436852)
    + Changed menu section to Applications/File Management to comply with newer
      menu policy.
    + Implemented dpatch, avoiding direct upstream patching(ugly).
    + please remove old editor backup files from diff (Closes: #354706)
    + Update package policy to latest 3.7.2.
    + Change Uploader(me) and Maintainers(Debian KDE Extras Team).

 -- Raúl Sánchez Siles <rasasi78@gmail.com>  Fri, 16 Nov 2007 19:20:42 +0100

filelight (0.99beta6-1) unstable; urgency=low

  * New upstream (beta) release. Closes: #304497
   * Can delete files with spaces in the filename.  Closes: #265384

  * Rebuilt for C++ transition.  Closes: #327002, #327231

  * debian/rules (checkdir): update for source reorganization.
  * debian/rules (binary-arch): deal with the new libfilelight.so.

  * debian/menu: quote all strings (via lintian).
  * debian/rules (binary-arch): install menu file to /usr/share/menu
    rather than /usr/lib/menu (via lintian).
  
  * debian/control (Standards-Version): updated to 3.6.2.1.
  * debian/copyright: update download location to be non-version specific.
    Update FSF address (via lintian).

  * debian/control (Build-Depends): add autoconf and gettext.

  * src/part/radial/Makefile.am: add -fPIC to CFLAGS.
  * src/part/radial/Makefile.in: add -fPIC to INCLUDES.  Copied from
    Michael Vogt's Ubuntu change.  Not a good/proper long term solution,
    but it'll compile at least.

  * debian/rules (clean): also remove po/*.gmo, autom4te.cache and
    config.log to keep diff.gz clean.

 -- James Troup <james@nocrew.org>  Mon, 19 Sep 2005 01:43:42 +0100

filelight (0.6.4.1-1) unstable; urgency=low

  * New upstream release.

  * debian/menu: new file, provided by Justin B Rye <jbr@edlug.org.uk>.
    Closes: #234301
  * debian/postinst: call update-menus.
  * debian/postrm: likewise.
  * debian/rules: install menu file and postinst and postrm.
  
  * src/filelight.desktop: Patch from Christoffer Sawicki <qerub@home.se>
    to fix typo (Generic Name -> GenericName).  Closes: #230670
  
  * debian/control: reword extended description to include 'disk usage' to
    aid in searching with apt-cache as suggested by Remi Vanicat
    <vanicat@debian.org>. Closes: #231060

 -- James Troup <james@nocrew.org>  Mon, 23 Feb 2004 14:55:16 +0000

filelight (0.6.3.1-1) unstable; urgency=low

  * Initial Release.  Closes: #228812

 -- James Troup <james@nocrew.org>  Wed, 21 Jan 2004 03:11:00 +0100

=== debian/control ===
Source: filelight
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Raúl Sánchez Siles <rasasi78@gmail.com>, Michael Meskes <meskes@debian.org>, Didier Raboud <didier@raboud.com>
Standards-Version: 3.8.4
Build-Depends: debhelper (>= 5.0), cdbs, kdelibs5-dev, libqimageblitz-dev, cmake
Vcs-Git: git://git.debian.org/pkg-kde/kde-extras/filelight.git
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/filelight.git
Homepage: http://www.methylblue.com/filelight/

Package: filelight
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: filelight-l10n (>= 1.0-2)
Description: show where your diskspace is being used
 Filelight allows you to understand your disk usage by graphically
 representing your filesystem as a set of concentric, segmented rings.
 .
 It is like a pie-chart, but the segments nest, allowing you to see both
 which directories take up all your space, and which directories
 and files inside those directories are the real culprits.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file - for filelight (1.0)
# Copyright 2007 Raúl Sánchez Siles
#           2009 Michael Meskes
# This packaging is licensed under GPLv2
# see /usr/share/common-licenses/GPL-2 for details.

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk

DEB_INSTALL_MANPAGES_filelight := debian/filelight.1

## filelight 4.8.2

=== debian/changelog ===
filelight (4:4.8.2-0ubuntu3) precise-proposed; urgency=low

  * Make filelight break/replace filelight-l10n to avoid file conflicts. The
    packages have been merged a long time ago. (LP: #1041777)

 -- Felix Geyer <debfx@ubuntu.com>  Tue, 28 Aug 2012 10:52:02 +0200

filelight (4:4.8.2-0ubuntu2) precise-proposed; urgency=low

  * Rebuild for .pot generation

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 12 Apr 2012 16:31:58 +0100

filelight (4:4.8.2-0ubuntu1) precise; urgency=low

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 03 Apr 2012 08:51:58 +0000

filelight (4:4.8.1-0ubuntu1) precise; urgency=low

  * New upstream release 

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 04 Mar 2012 21:34:36 +0100

filelight (4:4.8.0-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 20 Jan 2012 12:10:41 +0000

filelight (4:4.7.97-0ubuntu1) precise; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 05 Jan 2012 12:18:39 +0000

filelight (4:4.7.95-0ubuntu1) precise; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 24 Dec 2011 22:29:49 +0100

filelight (4:4.7.90-0ubuntu1) precise; urgency=low

  * Initial package

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 15 Dec 2011 15:09:43 +0000

=== debian/control ===
Source: filelight
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.8.1),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.8.1)
Standards-Version: 3.9.2
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kdeutils/ubuntu
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kdeutils/ubuntu

Package: filelight
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: filelight-l10n
Replaces: filelight-l10n
Description: show where your disk space is being used
 Filelight allows you to understand your disk usage by graphically
 representing your filesystem as a set of concentric, segmented rings.
 .
 It is like a pie-chart, but the segments nest, allowing you to see both
 which directories take up all your space, and which directories
 and files inside those directories are the real culprits.

## filelight 4.8.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,16 +20,21 @@
 
 project(Filelight)
 
-find_package(KDE4 REQUIRED)
+if(${CMAKE_SOURCE_DIR} STREQUAL ${CMAKE_CURRENT_SOURCE_DIR})
+    find_package(KDE4)
+    include( KDE4Defaults )
+    include_directories(${KDE4_INCLUDES})
 
-add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS} -fPIC)
+    add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
+    add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
+endif()
 
-include(KDE4Defaults)
+add_definitions( -DQT_NO_CAST_FROM_ASCII )
+add_definitions( -DQT_NO_CAST_TO_ASCII )
 
-include(MacroLibrary)
-
-include_directories( src/ ${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES} )
+include_directories(src/)
 
 add_subdirectory(src)
 add_subdirectory(misc)
 
+add_subdirectory(doc)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -18,7 +18,5 @@
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 #######################################################################
 
-include_directories($ {KDE4_INCLUDES} $ {KDE4_INCLUDE_DIR} $ {QT_INCLUDES} )
-
 add_subdirectory(app)
 add_subdirectory(part)

=== debian/changelog ===
filelight (4:4.8.4-1) unstable; urgency=low

  * Team upload.

  [ Eshat Cakar ]
  * Initial packaging, split from old kdeutils source.
  * Bump Standards-Version to 3.9.3, no further changes.
  * Add watch file.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 19 Jun 2012 19:14:26 -0300

=== debian/control ===
Source: filelight
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>,
 Sune Vuorela <sune@debian.org>,
 Modestas Vainius <modax@debian.org>,
 George Kiagiadakis <kiagiadakis.george@gmail.com>,
 José Manuel Santamaría Lema <panfaust@gmail.com>,
 Eshat Cakar <info@eshat.de>
Build-Depends: kde-sc-dev-latest (>= 4:4.8.4),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.8)
Standards-Version: 3.9.3
Homepage: http://www.kde.org/
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/filelight.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/filelight.git

Package: filelight
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: show where your diskspace is being used
 Filelight allows you to understand your disk usage by graphically
 representing your filesystem as a set of concentric, segmented rings.
 .
 It is like a pie-chart, but the segments nest, allowing you to see both
 which directories take up all your space, and which directories
 and files inside those directories are the real culprits.

## filelight 4.9.2

=== debian/changelog ===
filelight (4:4.9.2-0ubuntu1) quantal-proposed; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 02 Oct 2012 15:09:29 +0100

filelight (4:4.9.1-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 10 Sep 2012 18:14:55 +0530

filelight (4:4.9.0-0ubuntu1) quantal; urgency=low

  * Use direct build-depends versions rather than kde-sc-dev-latest
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 26 Jul 2012 16:58:52 +0100

filelight (4:4.8.90-0ubuntu1) quantal; urgency=low

  * New upstream beta release.

 -- Felix Geyer <debfx@ubuntu.com>  Mon, 11 Jun 2012 22:00:49 +0200

filelight (4:4.8.80-0ubuntu1) quantal; urgency=low

  * Merge with Debian git repository, no remaining changes.
  * New upstream beta release.

 -- Felix Geyer <debfx@ubuntu.com>  Wed, 06 Jun 2012 19:24:58 +0200

filelight (4:4.8.2-0r0) UNRELEASED; urgency=low

  * Initial packaging, split from old kdeutils source.
  * Bump Standards-Version to 3.9.3, no further changes.

 -- Eshat Cakar <info@eshat.de>  Wed, 04 Apr 2012 14:31:42 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,21 @@
 Source: filelight
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>,
  Sune Vuorela <sune@debian.org>,
  Modestas Vainius <modax@debian.org>,
  George Kiagiadakis <kiagiadakis.george@gmail.com>,
  José Manuel Santamaría Lema <panfaust@gmail.com>,
  Eshat Cakar <info@eshat.de>
-Build-Depends: kde-sc-dev-latest (>= 4:4.8.4),
+Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.8)
+ kdelibs5-dev (>= 4:4.9.2)
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org/
-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/filelight.git
-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/filelight.git
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/filelight
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/filelight
 
 Package: filelight
 Architecture: any

## filelight 4.9.4

=== debian/changelog ===
filelight (4:4.9.4-0ubuntu0.1) quantal; urgency=low

  * New upstream bugfix release (LP: #1085516)

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 02 Dec 2012 00:42:53 +0100

filelight (4:4.9.3-0ubuntu0.1) quantal-proposed; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 29 Nov 2012 23:31:10 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  Eshat Cakar <info@eshat.de>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.9.2)
+ kdelibs5-dev (>= 4:4.9.4)
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/filelight

## filelight 4.10.0

=== debian/changelog ===
filelight (4:4.10.0-0ubuntu1) raring-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 11:29:21 +0000

filelight (4:4.9.98-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 14:54:25 +0000

filelight (4:4.9.97-0ubuntu1) raring; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:22:57 +0100

filelight (4:4.9.95-0ubuntu1) raring; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:14:21 +0000

filelight (4:4.9.90-0ubuntu1) raring-proposed; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 17:34:35 +0000

filelight (4:4.9.80-0ubuntu1) raring; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 19 Nov 2012 15:42:11 +0000

filelight (4:4.9.3-0ubuntu1) raring; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 06 Nov 2012 22:21:00 +0100

filelight (4:4.8.2-0r0) raring; urgency=low

  * Initial packaging, split from old kdeutils source.
  * Bump Standards-Version to 3.9.3, no further changes.

 -- Eshat Cakar <info@eshat.de>  Wed, 04 Apr 2012 14:31:42 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  Eshat Cakar <info@eshat.de>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.9.4)
+ kdelibs5-dev (>= 4:4.10.0)
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/filelight

## filelight 4.10.2

=== debian/changelog ===
filelight (4:4.10.2-0ubuntu1) raring; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 14:34:54 +0200

filelight (4:4.10.1-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 15:11:15 +0000

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  Eshat Cakar <info@eshat.de>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.10.0)
+ kdelibs5-dev (>= 4:4.10.2)
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/filelight

## filelight 4.10.4

=== debian/changelog ===
filelight (4:4.10.4-0ubuntu0.1) raring-proposed; urgency=low

  * New upstream bugfix release (LP: #1187574)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 20 Jun 2013 04:20:58 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  Eshat Cakar <info@eshat.de>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.10.2)
+ kdelibs5-dev (>= 4:4.10.4)
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/filelight

## filelight 4.11.2

=== debian/changelog ===
filelight (4:4.11.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 13:56:01 +0100

filelight (4:4.11.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.

 -- Howard Chan <smartboyhw@gmail.com>  Fri, 06 Sep 2013 22:04:21 +0100

filelight (4:4.11.0-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 13 Aug 2013 23:55:59 +0100

filelight (4:4.10.97-0ubuntu1) saucy; urgency=low

  * New upstream RC 2 release
  * New upstream RC 2 release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Jul 2013 19:03:09 +0100

filelight (4:4.10.95-0ubuntu1) saucy; urgency=low

  * New upstream RC release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 15 Jul 2013 10:26:43 +0100

filelight (4:4.10.90-0ubuntu1) saucy; urgency=low

  * New upstream bet release

 -- Michał Zając <quintasan@kubuntu.org>  Fri, 28 Jun 2013 17:57:59 +0100

filelight (4:4.10.80-0ubuntu1) saucy; urgency=low

  [ Rohan Garg ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 21 Jun 2013 00:44:37 +0100

filelight (4:4.10.4-0ubuntu1) saucy-proposed; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 06 Jun 2013 23:33:42 +0100

filelight (4:4.10.3-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Merge with Debian

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 07 May 2013 16:55:11 +0000

filelight (4:4.10.2-2) experimental; urgency=low

  [ Pino Toscano ]
  * Bump the kde-sc-dev-latest and kdelibs5-dev build dependencies to 4.10.
  * Update Uploaders.

 -- Sune Vuorela <sune@debian.org>  Mon, 29 Apr 2013 01:16:15 +0200

filelight (4:4.10.2-1) experimental; urgency=low

  * New upstream.

 -- Sune Vuorela <sune@debian.org>  Sat, 06 Apr 2013 10:18:45 +0000

filelight (4:4.8.4-2) unstable; urgency=low

  * Team upload.
  * copyright: fix/improve information.

 -- Pino Toscano <pino@debian.org>  Sun, 30 Dec 2012 20:16:15 +0100

=== debian/control ===
--- 
+++ 
@@ -6,16 +6,16 @@
 Uploaders: Fathi Boudra <fabo@debian.org>,
  Sune Vuorela <sune@debian.org>,
  Modestas Vainius <modax@debian.org>,
- George Kiagiadakis <kiagiadakis.george@gmail.com>,
- José Manuel Santamaría Lema <panfaust@gmail.com>,
- Eshat Cakar <info@eshat.de>
-Build-Depends: 
+ George Kiagiadakis <kiagiadakis.george@gmail.com>
+Build-Depends: kde-sc-dev-latest (>= 4:4.10),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.10.4)
+ kdelibs5-dev (>= 4:4.11.2)
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/filelight
 Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/filelight
+X-Vcs-Debian-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/filelight.git
+X-Vcs-Debian-Git: git://git.debian.org/pkg-kde/kde-sc/filelight.git
 
 Package: filelight
 Architecture: any

## filelight 4.11.5

=== debian/changelog ===
filelight (4:4.11.5-0ubuntu0.1) saucy; urgency=medium

  * New upstream bugfix release (LP: #1266285)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 16 Jan 2014 14:25:15 +0100

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,11 @@
  George Kiagiadakis <kiagiadakis.george@gmail.com>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.11.2)
+ kdelibs5-dev (>= 4:4.11.5)
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/filelight
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/filelight
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/filelight-13.10
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/filelight-13.10
 X-Vcs-Debian-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/filelight.git
 X-Vcs-Debian-Git: git://git.debian.org/pkg-kde/kde-sc/filelight.git

## filelight 4.13.0

=== debian/changelog ===
filelight (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 21:35:55 +0100

filelight (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:07:13 +0200

filelight (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 11:54:10 +0100

filelight (4:4.12.90-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 10:33:58 +0000

filelight (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 20:26:27 +0100

filelight (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Feb 2014 23:35:16 +0000

filelight (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 07:55:07 +0000

filelight (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 16:22:51 +0000

filelight (4:4.11.97-0ubuntu1) trusty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 12:28:46 +0000

filelight (4:4.11.95-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 25 Nov 2013 17:40:24 +0100

filelight (4:4.11.80-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 23 Nov 2013 17:25:42 +0100

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,11 @@
  George Kiagiadakis <kiagiadakis.george@gmail.com>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.11.5)
+ kdelibs5-dev (>= 4:4.13.0)
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/filelight-13.10
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/filelight-13.10
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/filelight
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/filelight
 X-Vcs-Debian-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/filelight.git
 X-Vcs-Debian-Git: git://git.debian.org/pkg-kde/kde-sc/filelight.git

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/stable/([\d\.]*)/src/filelight-([\d\.]*).tar.xz

## filelight 4.13.1

=== misc/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #######################################################################
-# Copyright 2008-2009  Martin Sandsmark <sandsmark@samfundet.no>
+# Copyright 2008-2009  Martin Sandsmark <martin.sandsmark@kde.org>
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License as
@@ -18,10 +18,10 @@
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 #######################################################################
 
-install(FILES filelight_part.desktop DESTINATION ${SERVICES_INSTALL_DIR})
-install(FILES filelight.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
-install(FILES filelightrc DESTINATION ${CMAKE_INSTALL_PREFIX}/share/config)
-install(FILES filelight_partui.rc DESTINATION ${DATA_INSTALL_DIR}/filelightpart)
+install(FILES filelightpart.desktop DESTINATION ${SERVICES_INSTALL_DIR})
+install(PROGRAMS filelight.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
+install(FILES filelightrc DESTINATION ${CONFIG_INSTALL_DIR})
+install(FILES filelightpartui.rc DESTINATION ${DATA_INSTALL_DIR}/filelightpart)
 install(FILES filelightui.rc DESTINATION ${DATA_INSTALL_DIR}/filelight)
 
 kde4_install_icons(${ICON_INSTALL_DIR})

=== src/app/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #######################################################################
-# Copyright 2008-2009  Martin Sandsmark <sandsmark@samfundet.no>
+# Copyright 2008-2009  Martin Sandsmark <martin.sandsmark@kde.org>
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License as
@@ -18,9 +18,9 @@
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 #######################################################################
 
-include_directories(${CMAKE_SOURCE_DIR}/filelight/src ${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES})
+set(filelight_SRCS historyAction.cpp mainWindow.cpp main.cpp)
 
-set(filelight_SRCS historyAction.cpp mainWindow.cpp main.cpp)
+kde4_add_app_icon(filelight_SRCS "../../misc/hi*-app-filelight.png")
 
 kde4_add_executable(filelight ${filelight_SRCS})

=== src/part/radialMap/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #######################################################################
-# Copyright 2008-2009  Martin Sandsmark <sandsmark@samfundet.no>
+# Copyright 2008-2009  Martin Sandsmark <martin.sandsmark@kde.org>
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License as
@@ -23,9 +23,9 @@
     builder.cpp
     map.cpp
     widgetEvents.cpp
-    labels.cpp
-    segmentTip.cpp)
+    labels.cpp)
 
 kde4_add_library(radialmap STATIC ${radialmap_STAT_SRCS} )
 
+set_target_properties(radialmap PROPERTIES COMPILE_FLAGS -fPIC)

=== debian/changelog ===
filelight (4:4.13.1-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1318142)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 04 Jun 2014 16:47:46 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  George Kiagiadakis <kiagiadakis.george@gmail.com>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.13.0)
+ kdelibs5-dev (>= 4:4.13.1)
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/filelight

## filelight 4.14.1

=== debian/changelog ===
filelight (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 16:25:27 +0200

filelight (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 12:30:00 +0200

filelight (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 16:09:26 +0200

filelight (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 17:24:12 +0200

filelight (4:4.13.90-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 24 Jul 2014 17:23:53 +0200

filelight (4:4.13.2-0ubuntu1) utopic; urgency=medium

  [ Rohan Garg ]
  * Merge with upstream, no remaining changes

  [ Jonathan Riddell ]
  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Jun 2014 11:40:39 +0100

filelight (4:4.13.1-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 23 May 2014 15:16:43 +0200

filelight (4:4.12.3-2) unstable; urgency=medium

  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:24:00 +0200

filelight (4:4.12.3-1) experimental; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 04 Mar 2014 00:05:49 +0100

filelight (4:4.12.2-1) experimental; urgency=medium

  * New upstream release.
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:31:38 +0100

filelight (4:4.11.5-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.5, no changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 03 Feb 2014 12:27:54 +0100

filelight (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 10 Nov 2013 00:27:30 +0100

filelight (4:4.11.2-1) experimental; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 09 Oct 2013 11:59:21 +0200

filelight (4:4.10.5-1) unstable; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 12 Jul 2013 16:38:00 +0200

filelight (4:4.10.4-1) experimental; urgency=low

  * New upstream release.
  * Bump debhelper build-dep and compat to 9.
  * Bump Standards-Version to 3.9.4.
  * Add myself to uploaders.
  * Update vcs fields.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 14 Jun 2013 19:46:16 +0200

=== debian/control ===
Source: filelight
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.14.1),
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.5
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/filelight
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/filelight
X-Vcs-Debian-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/filelight.git
X-Vcs-Debian-Git: git://anonscm.debian.org/pkg-kde/kde-sc/filelight.git

Package: filelight
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: show where your diskspace is being used
 Filelight allows you to understand your disk usage by graphically
 representing your filesystem as a set of concentric, segmented rings.
 .
 It is like a pie-chart, but the segments nest, allowing you to see both
 which directories take up all your space, and which directories
 and files inside those directories are the real culprits.

## filelight 4.14.2

=== debian/changelog ===
filelight (4:4.14.2-1) unstable; urgency=medium

  * New upstream release (4.14.2).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 20 Oct 2014 17:13:29 +0200

filelight (4:4.14.0-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 22 Aug 2014 18:25:23 +0200

=== debian/control ===
Source: filelight
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.11),
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.5
Homepage: http://www.kde.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/filelight.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/filelight.git

Package: filelight
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: show where your diskspace is being used
 Filelight allows you to understand your disk usage by graphically
 representing your filesystem as a set of concentric, segmented rings.
 .
 It is like a pie-chart, but the segments nest, allowing you to see both
 which directories take up all your space, and which directories
 and files inside those directories are the real culprits.

=== debian/watch ===
version=3
http://download.kde.org/stable/([\d.]+)/src/filelight-([\d.]+).tar.xz
